Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dfa
Class StackObject

    java.lang.Object
      net.sourceforge.pmd.dfa.StackObject

public class StackObject
extends java.lang.Object

Constructor Summary
`protected` | `StackObject(int type, IDataFlowNode node)`

Method Summary
`IDataFlowNode` | `getDataFlowNode()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackObject

    protected StackObject(int type,
                          IDataFlowNode node)

Method Detail

### getDataFlowNode

    public IDataFlowNode getDataFlowNode()

### getType

    public int getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.